Subject: Re: [PATCH xfrm-next v2 0/6] Extend XFRM core to allow full offload configuration

From: Jason Gunthorpe <[email-masked]>
Date: Fri, 19 Aug 2022 13:01:22 -0300

On Fri, Aug 19, 2022 at 08:47:07AM -0700, Jakub Kicinski wrote:

> > I invite you to take a look on Jason's presentation "Challenges of the
> > RDMA subsystem", which he gave 3 years ago, about RDMA and challenges
> > with netdev.
> > https://lpc.events/event/4/contributions/364/
> 
> I appreciate the invite, but it's not high enough on my list of interest
> to spend time on.

Regardless, RDMA doesn't really intersect with this netdev work for
XFRM beyond the usual ways that RDMA IP traffic can be captured by or
run parallel to netdev.

A significant use case here is for switchdev modes where the switch
will subject traffic from a switch port to ESP, not unlike it already
does with vlan, vxlan, etc and other already fully offloaded switching
transforms.

Jason